Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.lifecycle
[Java] Class ShutdownOperations

    java.lang.Object
      org.codehaus.groovy.grails.lifecycle.ShutdownOperations

    public class ShutdownOperations
    extends java.lang.Object

Operations that should be executed on shutdown.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.Runnable` | `DEFAULT_SHUTDOWN_OPERATION`

Method Summary
`static void` | `addOperation(java.lang.Runnable runnable)` Adds a shutdown operation
`static void` | `runOperations()` Runs the shutdown operations

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_SHUTDOWN_OPERATION

    public static final java.lang.Runnable DEFAULT_SHUTDOWN_OPERATION

Method Detail

### addOperation

    public static void addOperation(java.lang.Runnable runnable)

  Adds a shutdown operation
  Parameters:
    `runnable` - The runnable operation

### runOperations

    public static void runOperations()

  Runs the shutdown operations

Groovy Documentation